Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## igeo
Class IStringLine

    java.lang.Object
      igeo.IObject
          igeo.IGeometry
              igeo.ICurve
                  igeo.IStringLine

All Implemented Interfaces:
  ICurveI, ICurveOp, IDynamics, IParameter, ISubobject, ITransformable, IVal

    public class IStringLine

extends ICurve
implements IDynamics

Class of IDynamicObject to simulate limited length string between two particles.

Author:
  Satoru Sugihara

Field Summary
`IString` | `stringDynamics`
`java.util.ArrayList<IObject>` | `targets` target objects to be updated by dynamic object

Fields inherited from class igeo.ICurve
`curve`

Fields inherited from class igeo.IObject
`attribute, dynamics, graphics, parameter, server, userData`

Constructor Summary
`IStringLine(IParticleI p1, IParticleI p2)`
`IStringLine(IParticleI p1, IParticleI p2, double length)`
`IStringLine(IVecI p1, IVecI p2)`
`IStringLine(IVecI p1, IVecI p2, double length)`

Method Summary
`IStringLine` | `attr(IAttribute at)` set attributes
`IStringLine` | `clr(java.awt.Color c)`
`IStringLine` | `clr(java.awt.Color c, double alpha)`
`IStringLine` | `clr(java.awt.Color c, float alpha)`
`IStringLine` | `clr(java.awt.Color c, int alpha)`
`IStringLine` | `clr(double dgray)`
`IStringLine` | `clr(double dgray, double dalpha)`
`IStringLine` | `clr(double dr, double dg, double db)`
`IStringLine` | `clr(double dr, double dg, double db, double da)`
`IStringLine` | `clr(float fgray)`
`IStringLine` | `clr(float fgray, float falpha)`
`IStringLine` | `clr(float fr, float fg, float fb)`
`IStringLine` | `clr(float fr, float fg, float fb, float fa)`
`IStringLine` | `clr(IColor c)` to set an object color
`IStringLine` | `clr(IColor c, double alpha)` to set color, with alpha value overwritten
`IStringLine` | `clr(IColor c, float alpha)` to set color, with alpha value overwritten
`IStringLine` | `clr(IColor c, int alpha)` to set color, with alpha value overwritten
`IStringLine` | `clr(int gray)`
`IStringLine` | `clr(int gray, int alpha)`
`IStringLine` | `clr(int r, int g, int b)`
`IStringLine` | `clr(int r, int g, int b, int a)`
`IStringLine` | `clr(IObject o)` to set the same color with the object
`IStringLine` | `hide()`
`IStringLine` | `hsb(double h, double s, double b)`
`IStringLine` | `hsb(double h, double s, double b, double a)`
`IStringLine` | `hsb(float h, float s, float b)`
`IStringLine` | `hsb(float h, float s, float b, float a)`
`void` | `initStringLine(IParticleI p1, IParticleI p2)`
`void` | `initStringLine(IParticleI p1, IParticleI p2, double length)`
`void` | `interact(java.util.ArrayList<IDynamics> dynamics)` behavior definition of interaction with other dynamic objects.
`IStringLine` | `layer(ILayer l)` Set layer by ILayer object
`IStringLine` | `layer(java.lang.String l)` Set layer by layer name.
`java.util.ArrayList<IDynamics>` | `localDynamics()` IDynamicsBase doesn't implement local dynamics feature
`IStringLine` | `name(java.lang.String nm)` IObject methods
`IStringLine` | `parent()` for IDynamics
`IStringLine` | `parent(IObject par)` setting parent object
`IParticleI` | `particle(int i)` alias of pt(int)
`IParticleI` | `particle1()` alias of pt1()
`IParticleI` | `particle2()` alias of pt2()
`IVec` | `pos(int i)` position of particle(i)
`IVec` | `pos1()` position of particle1
`IVec` | `pos2()` position of particle2
`void` | `postinteract(java.util.ArrayList<IDynamics> dynamics)` executed after interact(ArrayList).
`void` | `postupdate()` executed after update().
`void` | `preinteract(java.util.ArrayList<IDynamics> dynamics)` executed before interact(ArrayList).
`void` | `preupdate()` executed before update().
`IParticleI` | `pt(int i)` getting end point.
`IParticleI` | `pt1()` getting end point1.
`IParticleI` | `pt2()` getting end point2.
`IStringLine` | `removeTarget(int i)` remove target object.
`IStringLine` | `removeTarget(IObject obj)` remove target object.
`IStringLine` | `setColor(java.awt.Color c)`
`IStringLine` | `setColor(java.awt.Color c, double alpha)`
`IStringLine` | `setColor(java.awt.Color c, float alpha)`
`IStringLine` | `setColor(java.awt.Color c, int alpha)`
`IStringLine` | `setColor(double dgray)`
`IStringLine` | `setColor(double dgray, double dalpha)`
`IStringLine` | `setColor(double dr, double dg, double db)`
`IStringLine` | `setColor(double dr, double dg, double db, double da)`
`IStringLine` | `setColor(float fgray)`
`IStringLine` | `setColor(float fgray, float falpha)`
`IStringLine` | `setColor(float fr, float fg, float fb)`
`IStringLine` | `setColor(float fr, float fg, float fb, float fa)`
`IStringLine` | `setColor(IColor c)`
`IStringLine` | `setColor(IColor c, double alpha)`
`IStringLine` | `setColor(IColor c, float alpha)`
`IStringLine` | `setColor(IColor c, int alpha)`
`IStringLine` | `setColor(int gray)`
`IStringLine` | `setColor(int gray, int alpha)`
`IStringLine` | `setColor(int r, int g, int b)`
`IStringLine` | `setColor(int r, int g, int b, int a)`
`IStringLine` | `setHSBColor(double h, double s, double b)`
`IStringLine` | `setHSBColor(double h, double s, double b, double a)`
`IStringLine` | `setHSBColor(float h, float s, float b)`
`IStringLine` | `setHSBColor(float h, float s, float b, float a)`
`IStringLine` | `show()`
`IObject` | `target(int i)` get target object.
`IStringLine` | `target(IObject targetObj)` add terget object to be updated by this dynamic object.
`int` | `targetNum()` get total target number.
`java.util.ArrayList<IObject>` | `targets()` get all target objects.
`void` | `update()` behavior definition of updating dynamics in each time frame
`void` | `updateTarget()` update all terget objects (should be called when the dynamic object is updated).
`IStringLine` | `weight(double w)`
`IStringLine` | `weight(float w)`

Methods inherited from class igeo.ICurve
`add, add, add, add, add, add, add, addCP, addCP, addCP, addCP, addCP, addCP, addCP, addCP, center, closePt, closePt, cp, cp, cp, cp, cp, cp, cpNum, cpNum, cpNum, cps, createGraphic, deg, deg, deg, dist, dist, div, div, dup, end, endCP, ep, ep, epNum, epNum, epNum, flip, flipU, get, initCurve, insertCP, insertCP, intersectPlane, intersectPlane, isClosed, isClosed, isClosed, isInside2d, isInside2d, isRational, isRational, isRational, isValid, knot, knot, knotNum, knotNum, knotNum, knots, knots, knots, len, len, len, mid, mirror, mirror, mul, mul, mv, mv, mv, neg, num, num, num, pt, pt, ref, ref, removeCP, removeCP, removeCP, rev, revU, rot, rot, rot, rot, rot, rot, rot, rot, rot2, rot2, rot2, rot2, rot2, rot2, scale, scale, scale, scale, scale1d, scale1d, scale1d, scale1d, shear, shear, shear, shear, shearXY, shearXY, shearXY, shearXY, shearYZ, shearYZ, shearYZ, shearYZ, shearZX, shearZX, shearZX, shearZX, start, startCP, sub, sub, sub, tan, tan, transform, transform, transform, transform, translate, translate, translate, u, u, u, u, u, u, u, u, uend, uend, uend, ustart, ustart, ustart`

Methods inherited from class igeo.IObject
`addDynamics, addUserData, addUserData, alpha, alphaInt, attr, attr, awtColor, blue, blueInt, brightness, castStringHashMap, clearDynamics, clearGraphics, clr, defaultAttribute, del, deletDynamics, deleteDynamics, deleteDynamics, deleteGraphic, dynamicsNum, getAWTColor, getColor, getDynamics, getGraphic, getGraphic, getParameter, graphicsNum, gray, grayInt, green, greenInt, grey, greyInt, hue, initGraphic, initObject, isVisible, layer, name, red, redInt, resetGraphic, saturation, server, setParameter, syncColor, syncGraphic, syncVisibility, syncWeight, updateGraphic, userData, userData, userData, userDataNum, visible, weight`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### stringDynamics

    public IString stringDynamics

### targets

    public java.util.ArrayList<IObject> targets

  target objects to be updated by dynamic object

Constructor Detail

### IStringLine

    public IStringLine(IParticleI p1,
                       IParticleI p2)

### IStringLine

    public IStringLine(IParticleI p1,
                       IParticleI p2,
                       double length)

### IStringLine

    public IStringLine(IVecI p1,
                       IVecI p2)

### IStringLine

    public IStringLine(IVecI p1,
                       IVecI p2,
                       double length)

Method Detail

### initStringLine

    public void initStringLine(IParticleI p1,
                               IParticleI p2)

### initStringLine

    public void initStringLine(IParticleI p1,
                               IParticleI p2,
                               double length)

### pt

    public IParticleI pt(int i)

  getting end point. i==0 or i==1. if i is other value, returns first point.

### particle

    public IParticleI particle(int i)

  alias of pt(int)

### pos

    public IVec pos(int i)

  position of particle(i)

### pt1

    public IParticleI pt1()

  getting end point1.

### particle1

    public IParticleI particle1()

  alias of pt1()

### pos1

    public IVec pos1()

  position of particle1

### pt2

    public IParticleI pt2()

  getting end point2.

### particle2

    public IParticleI particle2()

  alias of pt2()

### pos2

    public IVec pos2()

  position of particle2

### parent

    public IStringLine parent()

  for IDynamics

  Specified by:
    `parent` in interface `ISubobject`

### parent

    public IStringLine parent(IObject par)

  Description copied from interface: `ISubobject`
  setting parent object

  Specified by:
    `parent` in interface `ISubobject`

### localDynamics

    public java.util.ArrayList<IDynamics> localDynamics()

  IDynamicsBase doesn't implement local dynamics feature

  Specified by:
    `localDynamics` in interface `IDynamics`

### target

    public IStringLine target(IObject targetObj)

  Description copied from interface: `IDynamics`
  add terget object to be updated by this dynamic object.

  Specified by:
    `target` in interface `IDynamics`

### targetNum

    public int targetNum()

  get total target number.

  Specified by:
    `targetNum` in interface `IDynamics`

### target

    public IObject target(int i)

  get target object.

  Specified by:
    `target` in interface `IDynamics`

### targets

    public java.util.ArrayList<IObject> targets()

  get all target objects.

  Specified by:
    `targets` in interface `IDynamics`

### removeTarget

    public IStringLine removeTarget(int i)

  remove target object.

  Specified by:
    `removeTarget` in interface `IDynamics`

### removeTarget

    public IStringLine removeTarget(IObject obj)

  remove target object.

  Specified by:
    `removeTarget` in interface `IDynamics`

### updateTarget

    public void updateTarget()

  update all terget objects (should be called when the dynamic object is updated).

  Specified by:
    `updateTarget` in interface `IDynamics`

### interact

    public void interact(java.util.ArrayList<IDynamics> dynamics)

  behavior definition of interaction with other dynamic objects. The server puts all dynamic objects including itself.

  Specified by:
    `interact` in interface `IDynamics`

### update

    public void update()

  behavior definition of updating dynamics in each time frame

  Specified by:
    `update` in interface `IDynamics`

### preinteract

    public void preinteract(java.util.ArrayList<IDynamics> dynamics)

  Description copied from interface: `IDynamics`
  executed before interact(ArrayList). behavior can be changed by IConfig.enablePreinteract and IConfig.loopPreinteract.

  Specified by:
    `preinteract` in interface `IDynamics`

### postinteract

    public void postinteract(java.util.ArrayList<IDynamics> dynamics)

  Description copied from interface: `IDynamics`
  executed after interact(ArrayList). behavior can be changed by IConfig.enablePostinteract and IConfig.loopPostinteract. If IConfig.loopPostinteract is false, preupdate is executed before post interact (updated 2012/08/26).

  Specified by:
    `postinteract` in interface `IDynamics`

### preupdate

    public void preupdate()

  Description copied from interface: `IDynamics`
  executed before update(). behavior can be changed by IConfig.enablePreupdate and IConfig.loopPreupdate. If IConfig.loopPreupdate is false, preupdate is executed before post interact (updated 2012/08/26).

  Specified by:
    `preupdate` in interface `IDynamics`

### postupdate

    public void postupdate()

  Description copied from interface: `IDynamics`
  executed after update(). behavior can be changed by IConfig.enablePostupdate and IConfig.loopPostupdate.

  Specified by:
    `postupdate` in interface `IDynamics`

### name

    public IStringLine name(java.lang.String nm)

  IObject methods

  Overrides:
    `name` in class `ICurve`

### layer

    public IStringLine layer(ILayer l)

  Description copied from class: `IGeometry`
  Set layer by ILayer object

  Overrides:
    `layer` in class `ICurve`

### layer

    public IStringLine layer(java.lang.String l)

  Description copied from class: `IGeometry`
  Set layer by layer name. If the layer specified by the name is not existing in the server, a new layer is automatically created in the server

  Overrides:
    `layer` in class `ICurve`

### attr

    public IStringLine attr(IAttribute at)

  Description copied from class: `IObject`
  set attributes

  Overrides:
    `attr` in class `ICurve`

### hide

    public IStringLine hide()

  Overrides:
    `hide` in class `ICurve`

### show

    public IStringLine show()

  Overrides:
    `show` in class `ICurve`

### clr

    public IStringLine clr(IColor c)

  Description copied from class: `IObject`
  to set an object color

  Overrides:
    `clr` in class `ICurve`

### clr

    public IStringLine clr(IColor c,
                           int alpha)

  Description copied from class: `IObject`
  to set color, with alpha value overwritten

  Overrides:
    `clr` in class `ICurve`

### clr

    public IStringLine clr(IColor c,
                           float alpha)

  Description copied from class: `IObject`
  to set color, with alpha value overwritten

  Overrides:
    `clr` in class `ICurve`

### clr

    public IStringLine clr(IColor c,
                           double alpha)

  Description copied from class: `IObject`
  to set color, with alpha value overwritten

  Overrides:
    `clr` in class `ICurve`

### clr

    public IStringLine clr(IObject o)

  Description copied from class: `IObject`
  to set the same color with the object

  Overrides:
    `clr` in class `ICurve`

### clr

    public IStringLine clr(java.awt.Color c)

  Overrides:
    `clr` in class `ICurve`

### clr

    public IStringLine clr(java.awt.Color c,
                           int alpha)

  Overrides:
    `clr` in class `ICurve`

### clr

    public IStringLine clr(java.awt.Color c,
                           float alpha)

  Overrides:
    `clr` in class `ICurve`

### clr

    public IStringLine clr(java.awt.Color c,
                           double alpha)

  Overrides:
    `clr` in class `ICurve`

### clr

    public IStringLine clr(int gray)

  Overrides:
    `clr` in class `ICurve`

### clr

    public IStringLine clr(float fgray)

  Overrides:
    `clr` in class `ICurve`

### clr

    public IStringLine clr(double dgray)

  Overrides:
    `clr` in class `ICurve`

### clr

    public IStringLine clr(int gray,
                           int alpha)

  Overrides:
    `clr` in class `ICurve`

### clr

    public IStringLine clr(float fgray,
                           float falpha)

  Overrides:
    `clr` in class `ICurve`

### clr

    public IStringLine clr(double dgray,
                           double dalpha)

  Overrides:
    `clr` in class `ICurve`

### clr

    public IStringLine clr(int r,
                           int g,
                           int b)

  Overrides:
    `clr` in class `ICurve`

### clr

    public IStringLine clr(float fr,
                           float fg,
                           float fb)

  Overrides:
    `clr` in class `ICurve`

### clr

    public IStringLine clr(double dr,
                           double dg,
                           double db)

  Overrides:
    `clr` in class `ICurve`

### clr

    public IStringLine clr(int r,
                           int g,
                           int b,
                           int a)

  Overrides:
    `clr` in class `ICurve`

### clr

    public IStringLine clr(float fr,
                           float fg,
                           float fb,
                           float fa)

  Overrides:
    `clr` in class `ICurve`

### clr

    public IStringLine clr(double dr,
                           double dg,
                           double db,
                           double da)

  Overrides:
    `clr` in class `ICurve`

### hsb

    public IStringLine hsb(float h,
                           float s,
                           float b,
                           float a)

  Overrides:
    `hsb` in class `ICurve`

### hsb

    public IStringLine hsb(double h,
                           double s,
                           double b,
                           double a)

  Overrides:
    `hsb` in class `ICurve`

### hsb

    public IStringLine hsb(float h,
                           float s,
                           float b)

  Overrides:
    `hsb` in class `ICurve`

### hsb

    public IStringLine hsb(double h,
                           double s,
                           double b)

  Overrides:
    `hsb` in class `ICurve`

### setColor

    public IStringLine setColor(IColor c)

  Overrides:
    `setColor` in class `ICurve`

### setColor

    public IStringLine setColor(IColor c,
                                int alpha)

  Overrides:
    `setColor` in class `ICurve`

### setColor

    public IStringLine setColor(IColor c,
                                float alpha)

  Overrides:
    `setColor` in class `ICurve`

### setColor

    public IStringLine setColor(IColor c,
                                double alpha)

  Overrides:
    `setColor` in class `ICurve`

### setColor

    public IStringLine setColor(java.awt.Color c)

  Overrides:
    `setColor` in class `ICurve`

### setColor

    public IStringLine setColor(java.awt.Color c,
                                int alpha)

  Overrides:
    `setColor` in class `ICurve`

### setColor

    public IStringLine setColor(java.awt.Color c,
                                float alpha)

  Overrides:
    `setColor` in class `ICurve`

### setColor

    public IStringLine setColor(java.awt.Color c,
                                double alpha)

  Overrides:
    `setColor` in class `ICurve`

### setColor

    public IStringLine setColor(int gray)

  Overrides:
    `setColor` in class `ICurve`

### setColor

    public IStringLine setColor(float fgray)

  Overrides:
    `setColor` in class `ICurve`

### setColor

    public IStringLine setColor(double dgray)

  Overrides:
    `setColor` in class `ICurve`

### setColor

    public IStringLine setColor(int gray,
                                int alpha)

  Overrides:
    `setColor` in class `ICurve`

### setColor

    public IStringLine setColor(float fgray,
                                float falpha)

  Overrides:
    `setColor` in class `ICurve`

### setColor

    public IStringLine setColor(double dgray,
                                double dalpha)

  Overrides:
    `setColor` in class `ICurve`

### setColor

    public IStringLine setColor(int r,
                                int g,
                                int b)

  Overrides:
    `setColor` in class `ICurve`

### setColor

    public IStringLine setColor(float fr,
                                float fg,
                                float fb)

  Overrides:
    `setColor` in class `ICurve`

### setColor

    public IStringLine setColor(double dr,
                                double dg,
                                double db)

  Overrides:
    `setColor` in class `ICurve`

### setColor

    public IStringLine setColor(int r,
                                int g,
                                int b,
                                int a)

  Overrides:
    `setColor` in class `ICurve`

### setColor

    public IStringLine setColor(float fr,
                                float fg,
                                float fb,
                                float fa)

  Overrides:
    `setColor` in class `ICurve`

### setColor

    public IStringLine setColor(double dr,
                                double dg,
                                double db,
                                double da)

  Overrides:
    `setColor` in class `ICurve`

### setHSBColor

    public IStringLine setHSBColor(float h,
                                   float s,
                                   float b,
                                   float a)

  Overrides:
    `setHSBColor` in class `ICurve`

### setHSBColor

    public IStringLine setHSBColor(double h,
                                   double s,
                                   double b,
                                   double a)

  Overrides:
    `setHSBColor` in class `ICurve`

### setHSBColor

    public IStringLine setHSBColor(float h,
                                   float s,
                                   float b)

  Overrides:
    `setHSBColor` in class `ICurve`

### setHSBColor

    public IStringLine setHSBColor(double h,
                                   double s,
                                   double b)

  Overrides:
    `setHSBColor` in class `ICurve`

### weight

    public IStringLine weight(double w)

  Overrides:
    `weight` in class `ICurve`

### weight

    public IStringLine weight(float w)

  Overrides:
    `weight` in class `ICurve`

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD